Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.collect
Interface RowSortedTable<R,C,V>

All Superinterfaces:
  Table<R,C,V>

All Known Implementing Classes:
  TreeBasedTable

    @GwtCompatible
    @Beta
    public interface RowSortedTable<R,C,V>

extends Table<R,C,V>

Interface that extends `Table` and whose rows are sorted.

The `rowKeySet()` method returns a `SortedSet` and the `rowMap()` method returns a `SortedMap`, instead of the `Set` and `Map` specified by the `Table` interface.

Since:
  8.0
Author:
  Warren Dukes

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.common.collect.Table
`Table.Cell<R,C,V>`

Method Summary
`SortedSet<R>` | `rowKeySet()` Returns a set of row keys that have one or more values in the table.
`SortedMap<R,Map<C,V>>` | `rowMap()` Returns a view that associates each row key with the corresponding map from column keys to values.

Methods inherited from interface com.google.common.collect.Table
`cellSet, clear, column, columnKeySet, columnMap, contains, containsColumn, containsRow, containsValue, equals, get, hashCode, isEmpty, put, putAll, remove, row, size, values`

Method Detail

### rowKeySet

    SortedSet<R> rowKeySet()

  Returns a set of row keys that have one or more values in the table. Changes to the set will update the underlying table, and vice versa.

  This method returns a `SortedSet`, instead of the `Set` specified in the `Table` interface.

  Specified by:
    `rowKeySet` in interface `Table<R,C,V>`
  Returns:
    set of row keys

### rowMap

    SortedMap<R,Map<C,V>> rowMap()

  Returns a view that associates each row key with the corresponding map from column keys to values. Changes to the returned map will update this table. The returned map does not support `put()` or `putAll()`, or `setValue()` on its entries.

  In contrast, the maps returned by `rowMap().get()` have the same behavior as those returned by `Table.row(R)`. Those maps may support `setValue()`, `put()`, and `putAll()`.

  This method returns a `SortedMap`, instead of the `Map` specified in the `Table` interface.

  Specified by:
    `rowMap` in interface `Table<R,C,V>`
  Returns:
    a map view from each row key to a secondary map from column keys to values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2011. All Rights Reserved.